Subject: Re: bug#23422: stat -c %N returns strange results for file names including <TAB>

From: Pádraig Brady <[email-masked]>
Date: Mon, 2 May 2016 16:42:49 +0100

On 02/05/16 10:27, Michael Albinus wrote:
> Hi,
>
> I have a file called "foo<TAB>bar". Yes, it includes the <TAB> char in
> its name. When I call "stat -c %N", I get 'foo'$'\t''bar' .

> This looks pretty strange. It is with "stat (GNU coreutils) 8.25". Earlier
> stat versions, say "stat (GNU coreutils) 6.12" on a very old machine I
> have access too, used to return `foo\tbar' .

We were thinking that since %N returns the quoted file name,
that it would be more generally useful to return the shell quoted format,
as that can be copied and pasted back to a shell command.
For example it allows one to always paste back the file name from
`stat *` which includes %N in the default output.

thanks,
Pádraig